package com.appliedjapan.sato.casemgr.entity;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

@Entity
@Table(name="TEST_DETAIL")
public class TestEntityDetail implements Serializable {

	private static final long serialVersionUID = 8399420986430801074L;

	@ManyToOne
	@JoinColumn(name="HEAD_PRODUCT_CODE", referencedColumnName="PRODUCT_CODE")
	private TestEntityHead testEntityHead;

	@Id
	@Column(name="ID", length=32)
	private String id;

	@Column(name="PRODUCT_NAME", nullable=false, length=128)
	private String productName;

	public TestEntityHead getTestEntityHead() {
		return testEntityHead;
	}

	public void setTestEntityHead(TestEntityHead testEntityHead) {
		this.testEntityHead = testEntityHead;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getProductName() {
		return productName;
	}

	public void setProductName(String productName) {
		this.productName = productName;
	}
}
