package com.appliedjapan.sato.casemgr.entity;

import java.io.Serializable;
import java.util.Collection;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.Table;

@Entity
@Table(name="TEST_HEAD")
public class TestEntityHead implements Serializable {

	private static final long serialVersionUID = 2663960620188688527L;

	@Id
	@Column(name="PRODUCT_CODE", nullable=false, length=10)
	private String productCode;

	@Column(name="STATUS", nullable=false)
	private Integer status;

	@OneToMany(mappedBy="testEntityHead")
	private Collection<TestEntityDetail> testEntityDetails;

	
	public String getProductCode() {
		return productCode;
	}

	public void setProductCode(String productCode) {
		this.productCode = productCode;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public Collection<TestEntityDetail> getTestEntityDetails() {
		return testEntityDetails;
	}

	public void setTestEntityDetails(Collection<TestEntityDetail> testEntityDetails) {
		this.testEntityDetails = testEntityDetails;
	}
}
