package com.appliedjapan.sato.casemgr.logic;

import org.seasar.framework.container.SingletonS2Container;
import org.seasar.framework.container.factory.SingletonS2ContainerFactory;

import com.appliedjapan.sato.casemgr.dto.TestDto;
import com.appliedjapan.sato.casemgr.dxo.TestDxo;
import com.appliedjapan.sato.casemgr.entity.TestEntityDetail;
import com.appliedjapan.sato.casemgr.entity.TestEntityHead;

public class DxoTest {

	public static void main(String[] args) {
		SingletonS2ContainerFactory.setConfigPath("app_test.dicon");
		SingletonS2ContainerFactory.init();
		TestDxo testDxo = SingletonS2Container.getComponent(TestDxo.class);

		System.out.println("1:");
		TestDto testDto = new TestDto();
		testDto.productCode = "12345";
		testDto.productName = "あいうえお";
		testDto.status = 5;

		TestEntityDetail testEntityDetail = new TestEntityDetail();
		testEntityDetail.setTestEntityHead(new TestEntityHead());

		testDxo.convert(testDto, testEntityDetail);

		System.out.println( "productName: " + testEntityDetail.getProductName());
		System.out.println( "productCode: " + testEntityDetail.getTestEntityHead().getProductCode());
	}
}
